matplotlib (3.3.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * debian/control
    - drop basemap, no longer needed and deprecated upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 18 Oct 2020 19:25:42 -0400

matplotlib (3.3.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/PR17983.patch
    - drop, merged upstream
  * debian/patches/*
    - refresh patches
  * debian/control
    - add certifi to b-d

 -- Sandro Tosi <morph@debian.org>  Fri, 18 Sep 2020 00:34:24 -0400

matplotlib (3.3.0-3) unstable; urgency=medium

  * debian/patches/PR17983.patch
    - undeprecate and update num2epoch/epoch2num

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Jul 2020 21:54:52 -0400

matplotlib (3.3.0-2) unstable; urgency=medium

  * debian/python-matplotlib-data.install
    - explicitly install matplotlibrc in /usr/share/matplotlib/mpl-data/;
      Closes: #965954

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jul 2020 10:46:31 -0400

matplotlib (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump b-d on sphinx-gallery to >= 0.7.0
    - add sphinxcontrib.svg2pdfconverter to b-d, needed by doc
    - bump Standards-Version to 4.5.0 (no changes needed)
    - add fonts-staypuft. optipng, scipy to b-d, needed by doc
  * debian/patches/*
    - refresh, update, drop patches
  * debian/setup.cfg
    - use the system-installed freetype library
  * debian/rules
    - re-enable running unittests at build-time

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Jul 2020 23:43:12 -0400

matplotlib (3.2.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - refresh patches

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Jun 2020 23:35:53 -0400

matplotlib (3.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - mark sphinx b-d as nodoc
    - mark sphinx-gallery as <!stage1>, avoid a circular depend; Closes: #954071
  * debian/patches/*
    - refresh, update, drop patches

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Mar 2020 00:57:12 -0400

matplotlib (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - replace `ipython` with `python3-ipython`: mpl requires
      ipython_console_highlighting to build its doc, which is now in the latter
      package; Closes: #943169
    - add cm-super-minimal to b-d, needed by doc
  * debian/patches
    - refresh, drop patches
  * debian/patches/setup-py-long-description.patch
    - populate long description even when running `setup.py clean`
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright information
  * debian/rules
    - properly detect the platform and build doc with xvfb-run

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Mar 2020 15:04:14 -0400

matplotlib (3.1.2-2) unstable; urgency=medium

  * debian/tests/{control, wxagg}
    - drop wxagg test; Closes: #950799

 -- Sandro Tosi <morph@debian.org>  Wed, 12 Feb 2020 21:55:19 -0500

matplotlib (3.1.2-1) unstable; urgency=medium

  * New upstream release; Closes: #945169
  * debian/copyright
    - update copyright for new upstream release
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.4.1 (no changes needed)
    - drop Qt4 from depends; Closes: #941527
    - add sphinx-copybutton to b-d, needed by doc
  * debian/tests/
    - drop python2 tests and test Qt5 instead of Qt4; Closes: #943169
  * debian/patches/
    - refresh/drop patches as per new upstream code
  * debian/rules
    - error out in case of a failure during build or install targets; patch by
      Matthias Klose; Closes: #942766
    - skip tests!! temporary measure due to
      https://github.com/matplotlib/matplotlib/issues/15960
  * debian/patches/0016-use-packaged-jquery.patch
    - use the packaged JQuery and JQuery UI

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Dec 2019 21:56:14 -0500

matplotlib (3.0.2-2) unstable; urgency=medium

  * upload to unstable
  * debian/control
    - add Breaks+Replaces on python-matplotlib-dbg; Closes: #916140

 -- Sandro Tosi <morph@debian.org>  Thu, 20 Dec 2018 19:00:46 -0500

matplotlib (3.0.2-1) experimental; urgency=medium

  * New upstream release
  * drop python2 packages; src:matplotlib will track upstream 3.x releases,
    which are only py3k-compatibles
  * debian/watch
    - only track 3.x releases
  * debian/control
    - remove dep on python-tz, no longer required upstream
  * debian/rules
    - use right variable to loop over py3k interpreters in clean target
    - select py3k default version
    - dont run dh_numpy, this is a py3k-only package now
  * debian/patches
    - remove merged upstream, refresh patches
  * debian/patches/0014-py3k-sphinx.patch
    - build doc with py3k sphinx
  * debian/control
    - add numpydoc to b-d, needed by doc
  * debian/patches/0015-disable-sphinx--W.patch
    - disable -W option when running sphinx
  * debian/python-matplotlib-data.install
    - remove lineprops.glade, delete upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 09 Dec 2018 23:11:16 -0500

matplotlib (2.2.3-2) unstable; urgency=medium

  * debian/rules
    - more rework to install the modules files in the right locations;
      Closes: #915430

 -- Sandro Tosi <morph@debian.org>  Tue, 04 Dec 2018 19:21:13 -0500

matplotlib (2.2.3-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - remove armhf and riscv64 from pandas restrictions in b-d; Closes: #902244
    - bump Standards-Version to 4.2.1 (no changes needed)
  * debian/patches/*
    - refresh, drop
  * debian/patches/0013-static-SHA.patch
    - define a static (None) SHA value, so not to require git and and actual git
      repository during build
  * debian/rules
    - partial rewrite to avoid implicit parallelism and FTBFS due to multiple
      targets overwriting/removing files in parallel
    - remove compiled python files

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Dec 2018 23:10:15 -0500

matplotlib (2.2.2-4) unstable; urgency=medium

  * debian/control
    - exclude some of the b-d on archs where they are not available; thanks to
      Graham Inggs

 -- Sandro Tosi <morph@debian.org>  Sun, 27 May 2018 18:20:55 -0400

matplotlib (2.2.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python3-Version field

  [ Sandro Tosi ]
  * debian/control
    - add kiwisolver -dbg packages to b-d, needed by tests
    - dont install pandas as b-d in armhf; Closes: #898873
  * debian/patches/0012-dont-generate-a-test-failure-if-images-are-not-close.patch
    - print a warning and not fail the test if the image is not close to the
      matplotlib baseline

 -- Sandro Tosi <morph@debian.org>  Thu, 17 May 2018 20:44:51 -0400

matplotlib (2.2.2-2) unstable; urgency=medium

  * debian/control
    - make -dbg packages depend on kiwisolver -dbg packages; Closes: #895763

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Apr 2018 18:34:49 -0400

matplotlib (2.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove XS-Testsuite field, not needed anymore

  [ Sandro Tosi ]
  * New upstream release
    - requires.txt are now generated empty automagically; Closes: #889151
  * debian/control
    - add ipywidgets to b-d, needed by doc
    - add kiwisolver to b-d, new dependency
    - bump Standards-Version to 4.1.4 (no changes needed)
    - re-enable pandas b-d
  * refresh patches
  * debian/patches/0011-remove-distutils.sysconfig.patch
    - dont import distutils.sysconfig in matplotlib, as it's meant to be used
      for building packages, not in a top-level module; Closes: #894502
  * debian/rules
    - make doc via Makefile
    - set --no-parallel
  * debian/README.debian
    - update to mention GTK backend is no longer available; Closes: #889137

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Apr 2018 17:11:41 -0400

matplotlib (2.1.1-2) unstable; urgency=medium

  * debian/control
    - add backports.functools-lru-cache to depends; Closes: #887964

 -- Sandro Tosi <morph@debian.org>  Mon, 22 Jan 2018 23:28:44 -0500

matplotlib (2.1.1-1) unstable; urgency=medium

  * New upstream release; Closes: #827361, #872261
  * debian/control
    - replace python-imaging with python-pil; Closes: #866439
    - add pytest (tests) and sphinx-gallery, backports.functools-lru-cache,
      scipy (doc) to b-d
  * debian/rules
    - no longer install upstream CHANGELOG, it was removed from the tarball
    - install tutorials in the -doc pkg, and dont compress .py files
    - pass the right arguments to tests.py, now that it changed
    - dont compress HTML files
    - now doc cleanup works upstream, so comment the manual cleanup commands
  * debian/copyright
    - update extern/libqhull copyright and license
    - drop delaunay copyright/licence notices, removed upstream
    - update packaging copyright years
  * debian/patches/0009-dont-show-badgesidebar.html.patch
    - dont load badgesidebar.html into documentation webpages, so that we dont
      load external resources
  * debian/{control, setup.cfg}
    - stop building GTK/GTKAgg backends, and hence drop GTK2 dependencies;
      Closes: #885511
  * debian/patches/0010-disable-intersphinx.patch
    - disable intersphinx, so doc wont try to access the network during build
  * debian/patches/0011-remove-numpy-scipy-from-reference_url.patch
    - remove scipy and numpy from reference_url for sphinx_gallery, avoiding to
      access the network during doc build
  * debian/patches/20_matplotlibrc_path_search_fix.patch
    - update patch to still look at /etc/matplotlibrc with new upstream code;
      from https://github.com/QuLogic/matplotlib/commit/69b627b8

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Jan 2018 13:39:59 -0500

matplotlib (2.0.0+dfsg1-2) unstable; urgency=medium

  * debian/rules
    - make a failure in the doc build process also fail the package build
  * debian/patches/0010-remove-interpolation_none_vs_nearest.py.patch
    - remove an example (which uses the removed necked_tensile_specimen.png
      image) that made the HTML doc build to fail; Closes: #855029

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Feb 2017 19:48:20 -0500

matplotlib (2.0.0+dfsg1-1) unstable; urgency=medium

  * Import upstream tarball with necked_tensile_specimen.png removed
  * exclude necked_tensile_specimen.png from upstream tarball, as that file
    contains a non-free color calibration profile; Closes: #854280
  * debian/copyright
    - add pdfcorefiles license grant
    - add copyright notices for all AFM fonts
    - add license and copyright notice to TTG BaKoMa fonts files;
      Closes: #854279

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Feb 2017 16:13:26 -0500

matplotlib (2.0.0-3) unstable; urgency=medium

  * debian/patches/0009-Add-a-newline-separator-in-fc-list-call.patch
    - generate a list of fonts by splitting the output of fc-list by new lines;
      Closes: #852060

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Jan 2017 21:35:45 -0500

matplotlib (2.0.0-2) unstable; urgency=medium

  * debian/control
    - dont break matplotlib binary package in -data, this pervents mpl to be
      built on the buildd network

 -- Sandro Tosi <morph@debian.org>  Thu, 19 Jan 2017 21:25:45 -0500

matplotlib (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - use bakoma fonts shipped with mpl: the fonts from fonts-lyx have been
      changed and some math symbols are not rendered correctly using them:
      Closes: #843656, #831020
    - make sure to maintain the baseline_images dir in tests/ by using a dummy
      file (else dh_python* will remove an empty dir); Closes: #838301
  * debian/control
    - exclude basemap from b-d if build profile is 'stage1', which breaks a
      circular dependency loop and will allow to bootstrap a new arch easier;
      Closes: #849943
    - add breaks to -data for mpl versions before 2.x; Closes: #847468
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 18 Jan 2017 20:12:37 -0500

matplotlib (2.0.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate for the new version 2.x
  * Upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sun, 18 Dec 2016 19:06:27 -0500

matplotlib (2.0.0~rc1-2) experimental; urgency=medium

  * debian/control
    - temporary disable b-d on pandas, until it resolves its buildability issues
      (see #845734)

 -- Sandro Tosi <morph@debian.org>  Tue, 13 Dec 2016 06:52:49 -0500

matplotlib (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate for the new version 2.x
  * debian/control
    - add pandas to b-d, needed for tests
    - add subprocess32 to b-d
    - use PIL in b-d instead of imaging, needed for docs
  * debian/copyright
    - update upstream copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Dec 2016 12:59:46 -0500

matplotlib (2.0.0~beta4-1) experimental; urgency=medium

  * New upstream beta release for the new version 2.x
  * debian/watch
    - recognize only 2.x releases, and 'b' as a beta release
  * debian/control
    - add python-functools32 to b-d
    - add colorspacious and basemap to b-d, needed by doc
    - set version reqs for cycler to be >= 0.10.0
  * debian/copyright
    - remove refs to six.py, no longer shipped upstream
  * debian/rules
    - use absolute (not relative) paths when building doc
  * debian/python-matplotlib-data.install
    - dont install nib files, removed upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Sep 2016 18:08:39 +0100

matplotlib (1.5.3-1) unstable; urgency=medium

  * New upstream candidate

 -- Sandro Tosi <morph@debian.org>  Sat, 10 Sep 2016 13:55:18 +0100

matplotlib (1.5.2-1) unstable; urgency=medium

  * New upstream candidate
  * debian/watch
    - recognize only 1.x releases
  * debian/patches/0008-From-655c513a5e5440014677ee5afb08b0efa39f8e16-Mon-Se.patch
    - support PyQt5.7; Closes: #835455

 -- Sandro Tosi <morph@debian.org>  Thu, 01 Sep 2016 18:52:24 +0100

matplotlib (1.5.2~rc2-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release candidate
  * debian/copyright
    - update upstream licence text
    - add copyright/license for src/_tkmini.h
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Mon, 30 May 2016 19:36:34 +0100

matplotlib (1.5.1-1) unstable; urgency=medium

  [ Julian Taylor ]
  * debian/tests/control: test against wxWidgets 3.0
    - remove -dbg packages from wxagg test, not available anymore

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - add ffmpeg to Suggests, Required for the animation module to be save out
      put to movie formats

 -- Sandro Tosi <morph@debian.org>  Sun, 07 Feb 2016 19:36:29 +0000

matplotlib (1.5.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    - initialize correctly the Qt4 backend; Closes: #802600
    - install the baseline images, needed to import the 'testing' submodules;
      Closes: #779847
  * debian/copyright
    - extend packaging copyright years
    - add/remove stanzas for new upstream code
  * debian/rules
    - run tests using tests.py, and disable those accessing the network
    - increase verbosity of the tests
  * Build & install only the HTML version of the doc (no more PDF)
  * debian/control
    - add ttf-bitstream-vera to -data depends; Closes: #802776
  * debian/patches/*bts800803*
    - Disable the GitHub "Fork Me" ribbon, the access to the Raleway font
      through the Google Fonts API, and the Google Analytics tracking code;
      Closes: #800803

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Jan 2016 18:44:51 +0000

matplotlib (1.5.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate
    - Lena Söderberg image has been removed; Closes: #794854
    - include source for minified JS libraries; Closes: #788730
  * debian/rules
    - replace JS libraries in all the py3k version of the package; thanks to
      Barry Warsaw for the report and patch; Closes: #792310
  * debian/copyright
    - updated for new upstream code
  * debian/patches/*
    - refresh/remove patches for new uptream code
  * debian/control
    - add cycler to b-d (bin pkgs depends are detected by dh_python2)
    - add ipython to b-d, ipython_console_highlighting is required to build doc
  * debian/patches/10ef9a7e26dc34328b7ec7fd0ed2c2db6104b342.patch
    - upstream patch to fix Qt4/Qt5 detection (tests failed)
  * debian/patches/9bc518230684b3a8bb69af60e160f90e1091cd0c.patch
    - fix encoding for Stéfan van der Walt name, using a single-codepoint
      encoding (Matplotlib.pdf creation failed)

 -- Sandro Tosi <morph@debian.org>  Mon, 05 Oct 2015 20:24:36 +0100

matplotlib (1.4.3-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/CVE-2013-1424.patch
    - dropped, merged upstream
  * debian/rules
    - remove embedded CXX, this should avoid accidental usage even though we set
      to ues the system installed one
    - remove the contents of baseline_images, but not the directory itself,
      which is required by matplotlib.tests; Closes: #779847
  * debian/copyright
    - drop copyright for pyparsing, no longer included in upstream tarball

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Apr 2015 02:22:49 +0100

matplotlib (1.4.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * debian/copyright
    - extend packaging copyright years
  * debian/patches/test_backend_with_timeout.patch
    - removed, merged upstream
  * debian/{control, patches/bts613818_use_system_pycxx.patch}
    - use Debian version of PyCXX, instead of the bundled one; thanks to Julian
      Taylor for the report and the work on Debian PyCXX side: Closes: #613818
  * debian/watch
    - download tarball from GitHub
  * debian/patches/CVE-2013-1424.patch
    - fix a buffer overrun in mplutils Printf(), addressing CVE-2013-1424;
      thanks to Matt Giuca for the patch; Closes: #775691
  * debian/control
    - added locales-all to b-d, needed to ensure en_US.UTF-8 locale is
      available, required by test suite
  * debian/rules
    - fix a FTBFS when building twice in a row

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Feb 2015 00:08:01 +0000

matplotlib (1.4.2-3) unstable; urgency=medium

  * debian/patches/test_backend_with_timeout.patch
    - fixed patch to correctly terminating run-away processes during backend
      checks; Closes: #767210

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Oct 2014 23:31:03 +0000

matplotlib (1.4.2-2) unstable; urgency=medium

  * debian/patches/1a182a98f76ce8c624bbaf3882e40d799e867338.patch
    - fix a possible deadlock when identifying Qt backends; thanks to Julien
      Cristau for the report; Closes: #767210

 -- Sandro Tosi <morph@debian.org>  Wed, 29 Oct 2014 23:18:01 +0000

matplotlib (1.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.6 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Oct 2014 00:26:25 +0100

matplotlib (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Oct 2014 00:50:50 +0100

matplotlib (1.4.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/control
    - bump deps to WX 3.0; thanks to Olly Betts for the report; Closes: #759094
    - uses cairocffi instead of cairo, preferred upstream; thanks to
      Jean-Christophe Jaskula for the report; Closes: #764359
    - tighten deps on python-six to >= 1.4
    - switch me to Maintainer (team to Uploaders)
  * debian/tests/backend-base
    - help mpl turn off interactive mode

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Oct 2014 00:17:18 +0100

matplotlib (1.4.0-1) experimental; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * Switch to dh_python2
  * debian/copyright
    - extend packaging copyright years
    - updated to new upstream code
  * debian/control
    - updated b-d to new requirements
    - bump Standards-Version to 3.9.5 (no changes needed)
  * debian/rules
    - export XDG_RUNTIME_DIR to prevent build stuck
    - removed TODO installation in -doc package, no longer shipped
  * debian/patches/*
    - refreshed, removed patches merged upstream
  * debian/python-matplotlib-doc.lintian-overrides
    - override privacy-breach-piwik error, Piwik is only activated if it's the
      main website
  * debian/python-matplotlib-data.install
    - install stylelib directory

  [ Julian Taylor ]
  * debian/control:
    - update python{,3}-pyparsing dependency to the required version >= 1.5.6

 -- Sandro Tosi <morph@debian.org>  Fri, 12 Sep 2014 01:09:53 +0100

matplotlib (1.3.1-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - added python3-gi-cairo to Suggest for py3k package; thanks to Arnaud
      Gardelein for the report; Closes: #730728
    - fix Recommends to python3-pil; thanks to Ryo IGARASHI for the report and
      patch; Closes: #743899
  * debian/python-matplotlib.preinst
    - removed, no longer needed

  [ Julian Taylor ]
  * debian/patches/fix_infinite_recursion.patch
    - fix infinite recursion in units.py with ndarray subclasses
      (Closes: #729590)
  * debian/patches/gtk3{agg,cairo}_check_no-multiprocessing.patch
    - do not use backend_gtk3{cairo,agg}_internal_check with multiprocessing.
      Workaround to resolve the deadlock in setup.py
  * debian/patches/multiarch-tktcl.patch
    - fixed missing tkagg due to absent path to multiarch tktcl
      (Closes: #750630)
  * debian/{control,rules}
    - depend and use packaged jquery instead of shipped minified variants
      (Closes: #737438)
  * debian/control
    - added python{,3}-tk-dbg build depends for debugging enabled tk backend
      (Closes: #714948)
    - updated build-depends to use tcl/tk 8.6 to match what python-tk is
      using (Closes: #752548)
  * debian/tests
    - added autopkg tests for the basic backends (Closes: #734988)
  * debian/rules
    - run xvfb-run with the -a flag to allow multiple instances at the same
      time

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Jul 2014 15:48:15 -0400

matplotlib (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU, thanks Anton Gladky; Closes: #719065, #719384
  * debian/patches/70_fix_UnicodeDecodeError.patch
    - removed, merged upstream
  * debian/{control, README.debian}
    - added nose and tornado to Suggests, needed to require matplotlib with
      pkg_resources; thanks to Javi Merino for the report; Closes: #725048
  * debian/control
    - added ghostscript and inkscape to Suggests (to run tests) and
      python-imaging to Recommends (enhance mpl usage); thanks to Tobias Megies
      for the report; Closes: #725047
    - added python{,3}-tornato to b-d, needed for tests
  * debian/{control, patches/70_bts720549_try_StayPuft_for_xkcd.patch}
    - try also StayPuft font when using xkcd style function; thanks to Elena
      Grandi for the report; Closes: #720549

 -- Sandro Tosi <morph@debian.org>  Sun, 13 Oct 2013 10:47:22 +0200

matplotlib (1.3.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix error in font_manager.py: UnicodeDecodeError when starting
    ipython --pylab. (Closes: #719065)
  * Fix AttributeError error where there are no writable directories.

 -- Anton Gladky <gladk@debian.org>  Sun, 29 Sep 2013 16:10:15 +0200

matplotlib (1.3.0-1) unstable; urgency=low

  [ Sandro Tosi ]
  * New upstream release; thanks to Julian Taylor for the report;
    Closes: #705631
  * debian/watch
    - switch back to SF for upstream tarballs
  * Remove references to Fltk backend, now removed upstream
  * debian/control
    - add python-numpydoc to b-d, needed to build doc
    - add python{,3}-pyparsing, it's no longer bundled in the upstream tarball;
      Closes: #531024
    - bump Standards-Version to 3.9.4 (no changes needed)
  * debian/README.debian
    - changed location of user-specific config file
  * debian/patches/*
    - refreshed and removed merged patch
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright notice
  * debian/rules
    - setupegg.py was removed, use setup.py instead
    - remove .pyc files from -doc package

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Fix typos in README.debian.

 -- Sandro Tosi <morph@debian.org>  Mon, 05 Aug 2013 22:15:44 +0200

matplotlib (1.2.0-1) experimental; urgency=low

  * New upstream release
  * debian/{control, rules}
    - run tests for python3 module
  * debian/{control, README.debian}
    - add several missing dependencies (and b-d) for Matplotlib backends
  * debian/rules
    - no longer set examples.* options in matplotlibrc when building doc (they
      are not needed with 1.2.0)
  * debian/patches/60_bts691960_reintroduce_examples.directory_rcparam.patch
    - reintroduce (removed in 1.2.x series) 'examples.directory' rc parameter,
      in order to specify the Debian custom sample_data path; thanks to Julian
      Taylor for the report; Closes: #691960

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Nov 2012 12:17:37 +0100

matplotlib (1.2.0~rc2-2) experimental; urgency=low

  * debian/{control, rules}
    - provide Python 3 packages, based on the work of Thomas Kluyver (thanks!);
      thanks to Yaroslav Halchenko for the report; Closes: #669272

 -- Sandro Tosi <morph@debian.org>  Tue, 23 Oct 2012 22:55:15 +0200

matplotlib (1.2.0~rc2-1) experimental; urgency=low

  * New upstream release candidate
  * debian/control
    - updated Homepage field to new upstream website location
  * debian/copyright
    - converted to DEP-5 format
    - updated to new upstream code
    - extended packaging copyright years
  * debian/patches/60_new_syntax_to_load_searchindex.patch
    - removed, merged upstream
  * debian/watch
    - updated to point to github
  * debian/patches/30_disable_sample_downloads.patch
    - removed, no longer needed
  * debian/patches/10_build_fix.patch
    - disabled, but not removed in case we'll have to restore it
  * debian/python-matplotlib-data.install
    - install sampledata from new location (now it's in upstream tarball)
    - use matplotlibrc.template to install base matplotlib.conf file
  * debian/rules
    - set backend and not datapath in matplotlibrc when running tests
    - fix broken symlinks to TrueType fonts; thanks to Ian Zimmerman for the
      report; Closes: #687674
  * debian/{control, rules}
    - run tests under 'xvfb-run', needed to run inkscape (which is required to
      compare SVG images); adding relevant b-d (xvfb and xauth)

 -- Sandro Tosi <morph@debian.org>  Tue, 25 Sep 2012 19:44:06 +0200

matplotlib (1.1.1-1) experimental; urgency=low

  * New upstream release
    - Closes: #680883; thanks to Yannick Roehlly for the report
  * debian/control
    - add ghostscript and inkscape to b-d, needed to run tests

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Aug 2012 20:15:53 +0200

matplotlib (1.1.1~rc2-1) unstable; urgency=low

  * New upstream release candidate
  * debian/control
    - remove some unnecessary build-depends; thanks to Michael Droettboom from
      upstream for the review of the b-d packages list
    - remove Qt3 dependencies, not required since a long time, easying Qt3
      removal from Debian; thanks to Ana Guerrero for report; Closes: #673399
    - add python-nose to b-d, needed to run tests
  * debian/rules
    - enable tests at build time

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jun 2012 16:21:11 +0200

matplotlib (1.1.1~rc1-2) unstable; urgency=low

  * debian/patches/60_new_syntax_to_load_searchindex.patch
    - use new Sphinx syntax to load searchindex.js so dh_sphinxdoc is able to
      recognize search.html as a valid Sphinx search page
  * debian/{control, rules}
    - use dh_sphinxdoc
  * debian/rules
    - set MPLCONFIGDIR to a writable directory; thanks to Lucas Nussbaum for the
      report; Closes: #669549

 -- Sandro Tosi <morph@debian.org>  Sat, 12 May 2012 18:05:15 +0200

matplotlib (1.1.1~rc1-1) unstable; urgency=low

  * New upstream (release candidate) release
    - provide ipython 0.11 compatibility; thanks to Julian Taylor for the
      report; Closes: #636464
  * debian/control
    - replace ttf-lyx with fonts-lyx (package rename); thanks to Ryo IGARASHI
      for the report; Closes: #664048
    - bump required numpy version to 1.4 at least
    - bump Standards-Version to 3.9.3 (no changes needed)
  * debian/{control, rules}
    - use dh_numpy

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Mar 2012 14:45:00 +0200

matplotlib (1.1.0-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - remove Alexandre from Uploaders: thanks for all the work!
  * debian/rules
    - install debug files where gdb looks for them
    - removed some doc files no more present in upstream tarball
    - don't install baseline_images dir, contains images only needed for tests
      and takes a lot of disk space
  * debian/copyright
    - updated to new release
  * debian/patches/*
    - updated/deleted/refreshed as per new code

 -- Sandro Tosi <morph@debian.org>  Sat, 08 Oct 2011 17:32:16 +0200

matplotlib (1.0.1-3) unstable; urgency=low

  * debian/patches/80_fix_tkinter_version_detection.patch
    - fix tkinter version detection; Closes: #632963

 -- Sandro Tosi <morph@debian.org>  Mon, 11 Jul 2011 20:53:08 +0200

matplotlib (1.0.1-2) unstable; urgency=low

  * Upload to unstable
    - fixed a FTBFS since the failing code (unicode vs byte-string) is rewritten
      in 1.0.x branch; thanks to Lucas Nussbaum for the report and to Stefano
      Rivera for the analysis; Closes: #625150
  * debian/rules
    - remove verbose logging for debhelper
    - remove compiled python code from documentation
  * debian/patches/70_search_new_tkdir.patch
    - added patch to look for the updated location of 'tkConfig.sh' script;
      thanks to Julian Taylor for the report and patch; Closes: #621700
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)
    - removed XB-P-V/Conflicts/Replaces/Provides, no more needed

 -- Sandro Tosi <morph@debian.org>  Sat, 07 May 2011 11:14:24 +0200

matplotlib (1.0.1-1) experimental; urgency=low

  * New upstream release; Closes: #606116
  * debian/patches/{10_build_fix.patch, 20_matplotlibrc_path_search_fix.patch}
    - updated to new upstream code
  * debian/patches/30_doc_pass_dpi.patch
    - removed, merged upstream
  * debian/rules
    - don't compress objects.inv; thanks to Michael Fladischer for the report;
      Closes: #608760
  * debian/rules, debian/patches/30_disable_sample_downloads.patch
    - bypass examples data download from internet, but use local copy instead
  * debian/python-matplotlib-data.install
    - install examples sample data
  * debian/control
    - bump Standards-Version: to 3.9.1 (no changes needed)
    - removed DM-U-A flag, no more needed
    - added python-xlwt to b-d, needed to build doc examples
    - Benjamin Drung removed himself from the Uploaders list
  * debian/copyright
    - updated debian packaging copyright
  * debian/patches/40_bts608939_draw_markers_description.patch
    - fix a glitch (missing reference to documentation page) in draw_markers()
      description; thanks to Jakub Wilk for report and patch; Closes: #608939
  * debian/patches/50_bts608942_spaces_in_param_args.patch
    - don't separate param and its argument with a space, new sphinx consider
      the first argument as the type; thanks to Jakub Wilk for the report;
      Closes: #608942
  * debian/patches/60_doc_output_format.patch
    - obtain the documentation output format even if the value is a unicode (as
      returned by recent sphinx); thanks to Jakub Wilk for the tip on IRC

 -- Sandro Tosi <morph@debian.org>  Tue, 25 Jan 2011 18:17:56 +0100

matplotlib (0.99.3-1) unstable; urgency=low

  * New upstream release
  * debian/patches/05-find-tcl-tk-directory.patch
    - removed, now merged upstream
  * debian/patches/10_build_fix.patch
    - adapted to new upstream code
  * debian/pycompat
    - removed, not needed
  * debian/mkcopyright.sh
    - removed, not needed anymore

 -- Sandro Tosi <morph@debian.org>  Tue, 22 Jun 2010 00:32:30 +0200

matplotlib (0.99.1.2-3) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - Recommends python-tk directly and Suggests all other other Python
      bindings (changes from Ubuntu); this way the default backend ('TkAgg')
      will work out-of-the-box and the others will need manual bindings
      installation; Closes: #563137

  [ Benjamin Drung ]
  * Bump Standards-Version to 3.8.4 (no changes required).
  * Add trailing blank line to debian/NEWS.
  * Add platform entry for GNU/Hurd to 10_build_fix.patch; thanks to Pino
    Toscano for the patch (Closes: #568599).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 06 Feb 2010 09:34:01 +0100

matplotlib (0.99.1.2-2) unstable; urgency=low

  * Build depend on texlive-latex-recommended instead of latex-ucs to fix FTBFS
    (Closes: #562346).
  * Bump python-numpy dependency to version 1.3.0 (Closes: #559990).
  * Add ${misc:Depends} to Depends.
  * Switch to 3.0 (quilt) source format.
  * Refresh patches.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 28 Dec 2009 15:57:32 +0100

matplotlib (0.99.1.2-1) unstable; urgency=low

  * New upstream release.
  * Fix spelling error in doc-base abstract field.
  * Add missing section field to doc-base file.
  * Convert patch system back to quilt and use DEP-3 patch tagging guidelines.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 15 Nov 2009 22:17:31 +0100

matplotlib (0.99.1.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - added python-wxgtk2.8-dbg to b-d (needed to build -dbg package)
    - added python-imaging to b-d (needed for -doc package)
    - added librsvg2-common to Suggests of python-matplotlib, needed by GTKAgg
      backend; thanks to Jonas for the report and suggestion; Closes: #548874
    - moved python-excelerator from Depends to Suggests; thanks to W. Martin
      Borgert for the report; Closes: #547437
    - removed Ondrej from Uploaders: thanks for your work!
  * debian/patches/30_doc_pass_dpi.dpatch
    - pass DPI when building doc images
  * debian/python-matplotlib-doc.doc-base
    - added doc-base

  [ Benjamin Drung ]
  * wrote 05-find-tcl-tk-directory.dpatch
  * strip not working parts from 10_build_fix.dpatch
  * debian/rules
    - refresh clean target
  * link to fonts in ttf-lyx to make lintian happy
  * Add latex-ucs and texlive-fonts-recommended to Build-Depends
    (Closes: #551248).
  * Demote GUI toolkits from Depends to Recommends; thanks to Thomas Bechtold
    for this hint (Closes: #547437).
  * Install lib/matplotlib/mpl-data/lineprops.glade; thanks to Ambrose Andrews
    for the report (Closes: #518488).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 08 Nov 2009 21:58:23 +0100

matplotlib (0.99.0-1) unstable; urgency=low

  * New upstream release
    - thanks to Michael S. Gilbert for the report; Closes: #541146
  * debian/control
    - removed Marco Presi from uploaders: thanks for your work!
    - bump Standards-Version to 3.8.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Sep 2009 12:46:17 +0200

matplotlib (0.98.5.3-2) unstable; urgency=medium

  [ Benjamin Drung ]
  * Build with tcl/tk8.5 as python-tk was build with tcl/tk8.5; thanks to Lucas
    Nussbaum for the report; Closes: #536985 (RC bug, hence urgency=medium)
  * Bump Standards-Version to 3.8.2 (no changes).

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Jul 2009 10:16:45 +0200

matplotlib (0.98.5.3-1) unstable; urgency=low

  [ Benjamin Drung ]
  * debian/control
    - Rename python-enthought-traits to python-traits
    - Move python-matplotlib-dbg to section debug
    - Build depends on python-qt4
    - Update my e-mail address.
    - Sort build depends and break depends.
  * debian/rules
    - In clean target use rm -rf instead dh_clean for removing build directory;
      thanks Andrew Straw for the patch
    - Let all stamp files end with -stamp for automatically cleaning by dh_clean
    - Remove generated doc files in clean target; upstreams doc clean target
      only runs svn-clean, which is useless without a repository
  * Switch to debhelper 7
  * Install egg-info files and add python-setuptools to build depends; thanks to
    Gediminas Paulauskas

  [ Sandro Tosi ]
  * New upstream release (ready to be uploaded in unstable)
    - ensure WX examples use version >= 2.8, thanks to giacomo boffi for the
      report; Closes: #518150
  * debian/control
    - removed Vittorio Palmisano from uploaders (mia); thanks for your work!
    - bump Standards-Version to 3.8.1 (no changes needed)
  * debian/copyright
    - completely rewritten to match new upstream code
  * debian/{rules, *.lintian-overrides}
    - added these lintian overrides:
      + arch-dep-package-has-big-usr-share
        . python-matplotlib has large arch-indep with some arch-dep code
      + copyright-should-refer-to-common-license-file-for-lgpl
        . false warning, since it greps for LGPL that's in the license text as
          example
      + extra-license-file
        . license embedded in the documentation, will break links if removed
      + font-in-non-font-package
        . we ship fonts, so no need to warning for this
  * debian/{control, rules, python-matplotlib.preinst}
    - switch to python-support (adding preinst for the migration)

 -- Sandro Tosi <morph@debian.org>  Fri, 29 May 2009 08:40:48 +0200

matplotlib (0.98.5.2-1) experimental; urgency=low

  [ Benjamin Drung ]
  * debian/control
    - Added python-pkg-resources to build dependency for version detection of
      python-enthought-traits
    - merged python-tk into GUI Python packages alternative dependency list
    - add myself to uploaders
  * Move content of debian/patches/setup.cfg.patch to
    debian/setup.cfg to set the default backend to TkAgg

  [ Sandro Tosi ]
  * New upstream release
    - Fixed histogram autoscaling bug when bins or range are given
      explicitly; Closes: #503148
    - fix a FTBFS if built with GCC 4.4; thanks to Martin Michlmayr for the
      report and the patch; Closes: #505618
  * debian/control
    - switch Vcs-Browser field to viewsvn
    - removed python from Depends since introduced by python:Depends
    - depending on python-all-dbg for -dbg package (to install all dbg
      interpreters)
    - moved python-tk to the first position of multiple GUI bindings Depends
      line
    - moved 'dvipng' from Recommends to Suggests (to avoid texlive to be
      automatically taken in); Closes: #490992
    - bump build-depends in python-sphinx to at least 0.5.1 (upstream doc build
      system requires it)
  * debian/NEWS
    - added to notify users about default backend (TkAgg)
    - added note about 'dvipng' not installed automatically anymore
  * debian/README.debian
    - added information about changing backend
  * debian/rules
    - merging all "rm" calls into "dh_clean" call
    - removed 'API_CHANGES' installation, since removed upstream
    - doc building with '--small' option, to reduce doc size (removing hi-res
      and pdf gallery images)
  * debian/{control,rules,patches/*,README.source}
    - moved from quilt to dpatch
  * debian/patches/{matplotlibrc.template-typo.patch,
             doc_graphviz_errors_fix.patch,bts-498229_axes3d_typo.patch}
    - removed since merged upstream
  * debian/docs
    - removed since not needed (the same files were listed in debian/rules)

 -- Sandro Tosi <morph@debian.org>  Wed, 14 Jan 2009 22:09:58 +0100

matplotlib (0.98.3-5) unstable; urgency=medium

  [ Benjamin Drung ]
  * debian/patches/matplotlibrc.template-typo.patch
    - fix typo in matplotlibrc.template

  [ Sandro Tosi ]
  * debian/control
    - updated my email address
    - replaced python-wxgtk2.6 with python-wxgtk2.8
  * debian/patches/setup.cfg.patch
    - added to create "setup.cfg" file to guide building (in particular for
      "backend" configuration); Closes: #502976
  * debian/patches/bts-498229_axes3d_typo.patch
    - added to fix a typo when importing "axes3d"; thanks to Tiziano Zito for
      the report; Closes: #498229

 -- Sandro Tosi <morph@debian.org>  Fri, 31 Oct 2008 13:51:20 +0100

matplotlib (0.98.3-4) unstable; urgency=low

  [ Sandro Tosi ]
  * Release in collaboration with Benjamin Drung, from Ubuntu
  * debian/control
    - applied Benjamin Drung patch to split dep fields a package per line;
      thanks to him; Closes: #495287
    - replaced dep on python-dev with python; thanks to Benjamin Drung for the
      notice
    - depends reorganization: dvipng moved to recommends (optional tex
      depends), python-configobj and python-enthought-traits to suggests
      (experimental support); Closes: #490992
    - added python-matplotlib-dbg package and python-all-dbg, python-numpy-dbg
      to build-dep
    - removed python-gd depends since no more needed
  * debian/README.debian
    - removed outdated info, added notice for MATPLOTLIBDATA env variable
  * debian/python-matplotlib-data.install
    - added matplotlib.conf installation
  * debian/patches/matplotlibrc_fix.patch
    - refreshed to match new upstream code
  * debian/rules
    - added build, clean and install for -dbg package

  [ Ondrej Certik ]
  * debian/patches/build_fix.patch updated thanks to Thiemo Seufer.
      Closes: #501618

 -- Sandro Tosi <matrixhasu@gmail.com>  Mon, 25 Aug 2008 23:28:30 +0200

matplotlib (0.98.3-3) unstable; urgency=medium

  * debian/control
    - moved depends on libjs-jquery from binary to -doc package; thanks to
      Nicolas Évrard for the report; part of #490992 resolution
  * debian/rules
    - used distutils to retrieve the build directory for matplotlib, needed
      for doc generation; thanks to Lucas Nussbaum for the report and to
      Piotr for the fix; Closes: #494236

 -- Sandro Tosi <matrixhasu@gmail.com>  Mon, 11 Aug 2008 20:51:52 +0200

matplotlib (0.98.3-2) unstable; urgency=low

  * debian/patches/build_fix.patch
    - added kfreebsd7/8 based systems; thanks to Petr Salinger for the patch;
      Closes: #493858

 -- Sandro Tosi <matrixhasu@gmail.com>  Tue, 05 Aug 2008 19:39:18 +0200

matplotlib (0.98.3-1) unstable; urgency=medium

  * New upstream release
    - fixed memory leaks; Closes: #492735 (RC bug, hence urgency=medium)
  * debian/control
    - added python-sphinx (versioned to easy Lenny entrance), graphviz,
      ipython, texlive-latex-extra build-deps in order to build documentation
    - added Suggests on python-scipy; thanks to Chris Walker for the report;
      Closes: #488138
    - added Vcs-{Browser,Svn} fields
    - added depend on libjs-jquery to replace embedded one
  * debian/rules
    - build and install documentation; Closes: #401629
    - symlinked jquery.js from libjs-jquery instead of the embedded one
    - added dh_link -i call for indep packages
  * debian/watch
    - removed comment lines since not needed
  * debian/patches/doc_graphviz_errors_fix.patch
    - added to fix graphviz errors during doc build (from upstream svn r5962)
  * debian/copyright
    - shortened some long line (to make lintian happy)

 -- Sandro Tosi <matrixhasu@gmail.com>  Mon, 04 Aug 2008 21:42:05 +0200

matplotlib (0.98.1-1) unstable; urgency=low

  * New upstream release; Closes: #486074

 -- Sandro Tosi <matrixhasu@gmail.com>  Mon, 23 Jun 2008 21:13:50 +0200

matplotlib (0.98.0-1) experimental; urgency=low

  * New upstream release; Closes: #486074
  * debian/rules
    - changed doc name
  * debian/control
    - bump build-dep to python-numpy to at least 1.1.0
    - added python-excelerator to Depends
  * debian/patches/build_fix.patch
    - updated to match new upstream source code

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 19 Jun 2008 20:40:43 +0200

matplotlib (0.91.3-1) unstable; urgency=low

  * New upstream release; Closes: #485950
  * debian/patches/bts-468977_memory_api_usage.patch
    - removed since merged upstream
  * debian/patches/bts-478237_ftbfs_gcc43.patch
    - removed since merged upstream
  * debian/patches/build_fix.patch
    - updated to match new upstream code
  * debian/control
    - bump Standards-Version to 3.8.0
    - removed build-dep on xbase-clients; it was a lintian error, but the
      package works fine without it
    - added python-pyparsing, python-cairo and python-glade2 to Depends
  * debian/README.source
    - added to reflect Policy 3.8.0

 -- Sandro Tosi <matrixhasu@gmail.com>  Fri, 13 Jun 2008 20:52:01 +0200

matplotlib (0.91.2-2) unstable; urgency=medium

  * debian/patches/bts-478237_ftbfs_gcc43.patch
    - added (Closes: #478237)
  * debian/rules
    - removed some files changes during build
  * debian/control
    - removed Depends on python-numeric-ext, python-numarray-ext (Closes:
      #478451)

 -- Sandro Tosi <matrixhasu@gmail.com>  Tue, 29 Apr 2008 19:09:08 +0200

matplotlib (0.91.2-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Replace libwxgtk2.4-python with python-wxgtk2.6 in Depends
    (closes: #466470)

  [ Sandro Tosi ]
  * New upstream release (Closes: #459200, #474001, #447741, #408955)
  * debian/patches/build_fix.patch
    - edited to match new code
  * debian/rules
    - adjusted doc files installation
  * debian/docs
    - removed since the same files were already in debian/rules
  * debian/patches/matplotlibrc_fix.patch
    - edited to match new code (sync from Ubuntu)
  * debian/control
    - added "dvipng, python-configobj, python-enthought-traits (>= 2.0),
      python-qt-dev, python-qt4-dev, python-wxgtk2.6" as build-dep (sync from
      Ubuntu)
    - bump depends on python-numpy (sync from Ubuntu)
    - added "python-qt4, dvipng, python-configobj, python-enthought-traits (>=
      2.0)" to Depends (sync from Ubuntu)
    - merged Recommends into Depends
    - removed Depends on python-pypaint since that package is unavailable
    - added myself to Uploaders
  * debian/patches/bts-468977_memory_api_usage.patch
    - fixes Python API memory usage (Closes: #468977)

 -- Sandro Tosi <matrixhasu@gmail.com>  Wed, 23 Apr 2008 17:37:03 +0200

matplotlib (0.90.1-4) unstable; urgency=low

  * Maintainer changed to Debian Python Modules Team
  * Vittorio Palmisano and Ondrej Certik added to Uploaders
  * "DM-Upload-Allowed: yes" field added
  * Standards-Version bumped to 3.7.3
  * python-numarray and python-numeric removed from build-depends and
    debian/rules fixed to make the package compile
  * debian/rules polished
  * patches moved under a quilt control
  * Package descriptions fixed (python -> Python)
  * Homepage field added (and removed from description)
  * python-matplotlib-doc package moved to the "doc" Section
  * /usr/share/matplotlib/mpl-data/images/*.svg made chmod 644 (i.e. not
    executable)
  * debian/watch uncommented, as it seems to work (and last line removed)
  * python2.3-matplotlib removed from Conflicts/Replaces

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 09 Mar 2008 20:39:04 +0100

matplotlib (0.90.1-3.1) unstable; urgency=medium

  * Non-maintainer upload to fix an RC bug. python-numpy conflicts with
    python-matplotlib (<< 0.90.1-3), that's why we use 0.90.1-3.1 instead of
    0.90.1-2.1.
  * Rebuilt against python-numpy 1:1.0.4-6 (Closes: #467099)

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 24 Feb 2008 14:36:08 +0100

matplotlib (0.90.1-2) unstable; urgency=low

  * Upload to unstable and not experimental (closes: #411709)
  * New version can coexist with python-numpy (closes: #426953)
  * Removed spurious dependency on python-gst (closes: #422711)
  * New package correctly detects numpy, numeric and numarray (closes: #425906)
  * applied debian/rules patch for the check that plugins were built (closes: #422475)
  * Changed dependency on dvipng to a recommendation (closes: #403198)
  * use texlive instead of tetex (closes:  #406176)
  * added suggests on texlive-latex-extra (closes: #410777)
  * reworded the description bit about "publication quality" (closes: #421593)

 -- Alexandre Fayolle <afayolle@debian.org>  Thu, 19 Jul 2007 11:58:24 +0200

matplotlib (0.90.1-1) experimental; urgency=low

  * New upstream release
  * updated debian/copyright file

 -- Alexandre Fayolle <afayolle@debian.org>  Fri, 06 Jul 2007 17:49:05 +0200

matplotlib (0.90.0-2) experimental; urgency=low

  * Changed dvipng dependency to a recommends (Closes: #403198)
  * Added to suggests tetex-extra | texlive-extra-utils (Closes: 406176)
  * Added to suggests texlive-latex-extra (Closes: #410777)
  * Changed python-gst dependency to python-gobject
  * Already closed bug: (Closes: #396386)

 -- Vittorio Palmisano <redclay81@gmail.com>  Thu, 26 Apr 2007 11:00:02 +0200

matplotlib (0.90.0-1) experimental; urgency=low

  * New upstream release
  * Added depend on python-tk (Closes: #408944)

 -- Marco Presi (Zufus) <zufus@debian.org>  Thu,  1 Mar 2007 22:32:45 +0000

matplotlib (0.87.7-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * Using patch provided by Mark Hymers <mark@hymers.org.uk>
    - Add check to debian/rules to prevent builds silently failing to build
      one of the plugins.  (Closes: #411925)

 -- Martin Zobel-Helas <zobel@ftbfs.de>  Wed, 28 Feb 2007 10:39:43 +0100

matplotlib (0.87.7-0.1) unstable; urgency=medium

  * Remove build dependency on python-numpy-ext.
  * Prefer python-numpy over (python-numeric as a dependency. Closes: #389669.
  * Already fixed:
    - Build dependency on python-numpy. Closes: #375558.
  * Readd dependency on python-gst. Closes: #385590.
  * Mention pylab in the package description. Closes: #403723.

 -- Matthias Klose <doko@debian.org>  Sun,  7 Jan 2007 21:30:23 +0000

matplotlib (0.87.7-0) experimental; urgency=low

  * New upstream version (compatible with python-numpy-1.0). Closes: #361181.
  * (Build-)depend on python-numpy (>= 1:1.0.1).
  * Remove redundant (build-)dependencies.
  * Remove references to explicit python versions. Closes: #405611.

 -- Matthias Klose <doko@debian.org>  Wed,  3 Jan 2007 22:52:34 +0100

matplotlib (0.87.5-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Also Depend: on python-dateutil (closes: #396335)

 -- Mark Hymers <mark@hymers.org.uk>  Tue, 31 Oct 2006 18:05:10 +0000

matplotlib (0.87.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on python-dateutil so that we don't supply our internal copy.
    Closes: #393074.

 -- Mark Hymers <mark@hymers.org.uk>  Sun, 29 Oct 2006 01:57:17 +0100

matplotlib (0.87.5-2) unstable; urgency=low

  * Fixed python-numpy dependency. Closes: #387440
  * python-gtk2 includes gobject module and it is an optional dependency for
    those who use an X server.
    Closes: #382400, #385590

 -- Vittorio Palmisano <redclay81@gmail.com>  Sat, 16 Sep 2006 18:14:25 +0200

matplotlib (0.87.5-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay81@gmail.com>  Fri, 08 Sep 2006 15:46:46 +0200

matplotlib (0.87.4-3) unstable; urgency=low

  * Removed wrong "Section: doc" from python-matplotlib-doc package

 -- Vittorio Palmisano <redclay81@gmail.com>  Wed, 09 Aug 2006 16:15:44 +0200

matplotlib (0.87.4-2) unstable; urgency=low

  * Removed pytz files. Closes: #335991, #377275
  * Added numpy support. Closes: #353342
  * Removed duplicate README.debian. Closes: #380102

 -- Vittorio Palmisano <redclay81@gmail.com>  Wed, 02 Aug 2006 18:28:22 +0200

matplotlib (0.87.4-1) unstable; urgency=low

  * New upstream release

 -- Marco Presi (Zufus) <zufus@debian.org>  Wed, 12 Jul 2006 09:27:16 +0200

matplotlib (0.87.3-1) unstable; urgency=low

  * New upstream version. Closes: #361181
  * Added numpy support. Closes: #375558
  * Added depends on python-tz. Closes: #376715

 -- Marco Presi (Zufus) <zufus@debian.org>  Thu,  6 Jul 2006 09:54:55 +0200

matplotlib (0.86.2-6.1) unstable; urgency=low

    * Depend on python-tz, remove the pytz files. Closes: #376715.

 -- Matthias Klose <doko@debian.org>  Fri,  7 Jul 2006 18:38:43 +0000

matplotlib (0.86.2-6) unstable; urgency=low

  * Added a note about numeric/numarray deps in README.debian. Closes: #376198
  * Added PYVERS to debian/rules (Carlo Segre <segre@iit.edu> patch). Closes: #376239
  * Modified Vittorio Palmisano e-mail address.

 -- Marco Presi (Zufus) <zufus@debian.org>  Tue,  4 Jul 2006 15:35:38 +0200

matplotlib (0.86.2-5) unstable; urgency=low

  * Updated to new Python policy (closes: #373462)
  * fixed dependency on python-numarray (closes: #373165)

 -- Alexandre Fayolle <afayolle@debian.org>  Thu, 15 Jun 2006 18:27:18 +0200

matplotlib (0.86.2-4) unstable; urgency=low

  * Added Build-Deps on python-setuputils. Closes: #358597

 -- Marco Presi (Zufus) <zufus@debian.org>  Wed, 29 Mar 2006 16:26:27 +0200

matplotlib (0.86.2-3) unstable; urgency=low

  * Fix the previuos BAD Non-maintaner upload. Closes: #357459

 -- Marco Presi (Zufus) <zufus@debian.org>  Mon, 20 Mar 2006 23:00:38 +0100

matplotlib (0.86.2-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS 'rm: cannot remove ...: No such file ... (Closes: #354370).

 -- Luk Claes <luk@debian.org>  Thu, 16 Mar 2006 18:52:47 +0100

matplotlib (0.86.2-2) unstable; urgency=low

  * Packages now depend both on python-numarray and python-numeric. Closes: #353043

 -- Marco Presi (Zufus) <zufus@debian.org>  Thu, 16 Feb 2006 19:19:42 +0100

matplotlib (0.86.2-1) unstable; urgency=low

  * New upstream release. Closes: #341730
  * Added ${shlibs:Depends}. Closes: #345366
  * python-matplotlib-doc is suggested by python-matplotlib and enhances it.
    Closes: #341610
  * Replaced latex dependency with tetex-extra. Closes: #337361
  * subplot() behavior fixed. Closes: #346285
  * Added users_guide in -doc package. Closes: #341399

 -- Vittorio Palmisano <vpalmisano@gmail.com>  Sat, 28 Jan 2006 19:29:15 +0100

matplotlib (0.85-1) unstable; urgency=low

  * New upstream release. Closes: #341730

  * Added ipython among Enhanced packages.

 -- Marco Presi (Zufus) <zufus@debian.org>  Sat, 10 Dec 2005 22:53:24 -0500

matplotlib (0.82-5) unstable; urgency=low

  * Added documentation package. Closes: #338622
  * Added python-epydoc dependency for documentation generation.

 -- Vittorio Palmisano <vpalmisano@gmail.com>  Sat, 12 Nov 2005 21:26:16 +0100

matplotlib (0.82-4) unstable; urgency=low

  * Fixed FTBFS on hppa: added patch to build on systems without X server
    (autobuilders) also in the clean stage. Closes: 338423.
  * The same patch fix the build also on GNU/kFreeBSD. Closes: #336953

 -- Marco Presi (Zufus) <zufus@debian.org>  Fri, 11 Nov 2005 20:51:08 -0500

matplotlib (0.82-3) unstable; urgency=low

  * Fixed deps on python-matplotlib (was depending on 0.82-1)

 -- Marco Presi (Zufus) <zufus@debian.org>  Thu, 10 Nov 2005 23:46:04 -0500

matplotlib (0.82-2) unstable; urgency=low

  [Marco Presi]

  * Included patch by Aurelien Jarno <aurel32@debian.org> to fix build on
    GNU/kFreeBSD. Closes: #336953
  * Added latex as Suggested dependency. Closes: #337361

 -- Marco Presi (Zufus) <zufus@debian.org>  Sun,  6 Nov 2005 21:49:45 -0500

matplotlib (0.82-1) unstable; urgency=low

  * New upstream release
  * First Debian release. Closes: #206691
  * Removed doc package, added notes in README.debian
  * Added dvipng dependency
  * Added python2.3-qt3, python2.4-qt3 optional dependency
  * Added API_CHANGES, INTERACTIVE, KNOWN_BUGS, NUMARRAY_ISSUES to docs
  * Removed import gtk/tk from setup.py for building on systems without X
    server (buildd)
  * Moved .matplolibrc to /etc/matplolibrc and patched lib/__init__.py in
    order to make the package compliant with Debian Policy

 -- Vittorio Palmisano <vpalmisano@gmail.com>  Sat, 15 Oct 2005 22:42:01 +0200

matplotlib (0.81-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Sat, 11 Jun 2005 13:16:37 +0200

matplotlib (0.80-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Mon, 25 Apr 2005 19:16:59 +0200

matplotlib (0.74-1) unstable; urgency=low

  * New upstream release
  * Aurelien Jarno:
    - python-matplotlib does not need to depends on python-matplotlib-data
    - remove README.Debian file
    - README and TODO also in python2.3-matplotlib and python2.4-matplotlib
    - keep the name matplotlib for the source package only
    - remove generation of html docs, using User's Guide pdf

 -- Vittorio Palmisano <redclay@email.it>  Sun, 10 Apr 2005 09:53:51 +0200

python-matplotlib (0.72-4) unstable; urgency=low

  * Added support for different python versions

 -- Vittorio Palmisano <redclay@email.it>  Sat, 26 Feb 2005 22:05:40 +0100

python-matplotlib (0.72-3) unstable; urgency=low

  * Aurelien Jarno:
    - fixed find_tcltk() error if X display is not accessible
    - changed matlab to Matlab in debian/control file

 -- Vittorio Palmisano <redclay@email.it>  Wed, 23 Feb 2005 16:17:36 +0100

python-matplotlib (0.72-2) unstable; urgency=low

  * Aurelien Jarno:
    - Fixed debhelper(>=4.1.67) dependency
    - removed debian/postinst and debian/preinst
    - removed gunzip of example/data

 -- Vittorio Palmisano <redclay@email.it>  Sun, 20 Feb 2005 21:44:17 +0100

python-matplotlib (0.72-1) unstable; urgency=low

  * New upstream release
  * Added python-dev dependency

 -- Vittorio Palmisano <redclay@email.it>  Fri, 18 Feb 2005 15:16:26 +0100

python-matplotlib (0.71-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Sat, 22 Jan 2005 15:19:56 +0100

python-matplotlib (0.70.1-2) unstable; urgency=low

  * Added python-numeric-ext | python-numarray-ext dependency

 -- Vittorio Palmisano <redclay@email.it>  Mon, 17 Jan 2005 11:16:01 +0100

python-matplotlib (0.70.1-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Sun, 02 Jan 2005 23:35:30 +0100

python-matplotlib (0.65.1-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Thu, 23 Dec 2004 21:58:31 +0100

python-matplotlib (0.65-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Sat, 18 Dec 2004 15:22:58 +0100

python-matplotlib (0.64-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Sat, 13 Nov 2004 22:28:00 +0100

python-matplotlib (0.63.4-3) unstable; urgency=low

  * Jochen Voss:
    - fix the dependencies and build-dependencies
    - remove the Vera*.ttf files and depend on ttf-bitstream-vera instead
  * added Recommends: ipython(>=0.6.3)

 -- Vittorio Palmisano <redclay@email.it>  Sat, 23 Oct 2004 10:48:27 +0200

python-matplotlib (0.63.4-2) unstable; urgency=low

  * Updated copyright file (autogenerated)
  * Changed Description
  * Removed libttf-dev depends (thanks to Jochen Voss)

 -- Vittorio Palmisano <redclay@email.it>  Sun, 03 Oct 2004 23:05:06 +0200

python-matplotlib (0.63.4-1) unstable; urgency=low

  * New upstream release (closes: #206691)
  * fixed .svg files perms
  * removed Recommends: libwxgtk2.4-python

 -- Vittorio Palmisano <redclay@email.it>  Fri, 01 Oct 2004 22:31:28 +0200

python-matplotlib (0.62.4-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Mon, 30 Aug 2004 22:30:50 +0200

python-matplotlib (0.61.0-2) unstable; urgency=low

  * John Hunter:
    - Removed python-ttfquery dependency

 -- Vittorio Palmisano <redclay@email.it>  Sun, 15 Aug 2004 20:25:00 +0200

python-matplotlib (0.61.0-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Mon, 09 Aug 2004 23:40:44 +0200

python-matplotlib (0.60.2-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Sun, 11 Jul 2004 10:24:01 +0200

python-matplotlib (0.54.2-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Fri, 11 Jun 2004 22:48:50 +0200

python-matplotlib (0.54.1-1) unstable; urgency=low

  * New upstream release
  * Seo Sanghyeon:
    - Fixed python-numeric | python-numarray dependency
    - Fixed python-gtk2 dependency

 -- Vittorio Palmisano <redclay@email.it>  Sun, 30 May 2004 10:14:08 +0200

python-matplotlib (0.54-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Sat, 22 May 2004 22:47:59 +0200

python-matplotlib (0.53.1-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Sat,  1 May 2004 23:19:40 +0200

python-matplotlib (0.53-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Fri, 23 Apr 2004 20:49:25 +0200

python-matplotlib (0.52-2) unstable; urgency=low

  * Fixed python-gd dependency

 -- Vittorio Palmisano <redclay@email.it>  Fri, 26 Mar 2004 11:40:37 +0100

python-matplotlib (0.52-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Sat, 20 Mar 2004 17:40:06 +0100

python-matplotlib (0.51-1) unstable; urgency=low

  * New upstream release

 -- Vittorio Palmisano <redclay@email.it>  Fri,  5 Mar 2004 14:27:08 +0100

python-matplotlib (0.50-2) unstable; urgency=low

  * Removed python2.3-numeric-ext dependency

 -- Vittorio Palmisano <redclay@email.it>  Thu, 26 Feb 2004 15:27:30 +0100

python-matplotlib (0.50-1) unstable; urgency=low

  * Initial Release.

 -- Vittorio Palmisano <redclay@email.it>  Sat, 21 Feb 2004 23:52:10 +0100

